#include <iostream>
#include <regex>
#include <string>

using namespace std;

int main() {
    string input;
    cout << "Введите строку: ";
    getline(cin, input);
    
    regex emailRegex(R"([\w.%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,})");
    
    sregex_iterator it(input.begin(), input.end(), emailRegex);
    sregex_iterator end;
    
    while (it != end) {
        cout << it->str() << endl;
        ++it;
    }
    return 0;
}
